package demo;

import java.text.MessageFormat;

public class ClockBean {
	private boolean enabled = false;
	private long startedOn;
	
	
	public String startClock() {
		this.enabled = true;
		this.startedOn = System.currentTimeMillis();
		System.out.println("started on "+this.startedOn);
		return null;
	}
	public String stopClock() {
		System.out.println("stopped");
		this.enabled = false;
		return null;
	}
	
	public String getNow() {
		long now = System.currentTimeMillis() - startedOn;
		String result = MessageFormat.format("{0}:{1}:{2}.{3}",
				now/(1000*60*60), now/(1000*60), (now/1000)%60 , now%1000);
		return enabled ? (result) : "0:0:0.0";
	}
	public boolean isEnabled() {return enabled;}
	public void setEnabled(boolean enabled) {this.enabled = enabled;}
}
